<template>
    <!-- <base-layout pageTitle = "Complete Space Overview" page-default-back-link="/login"> -->
    <member-area-layout pageTitle = "Your Space DAO Dashboard">
        <ion-searchbar :search-icon="searchCircle" placeholder="Search for Asset ID or name " show-clear-button="focus"></ion-searchbar>
        
        <ion-grid>
            <ion-row>
                <ion-col>
                    <orbit-state-value stat="rso"></orbit-state-value>
                </ion-col>
                <ion-col>
                    <orbit-state-value stat="cdm"></orbit-state-value>
                </ion-col>
                <ion-col>
                    <orbit-state-value stat="supplier"></orbit-state-value>
                </ion-col>
            </ion-row>
        </ion-grid>
        
        <ion-grid>
            <ion-row>
                <ion-col>
                    <rso-profile rso_id="444"></rso-profile>
                </ion-col>
            </ion-row>
        </ion-grid>
        
        <!-- Text and Graphic Card -->
        <ion-card id="infocard">
            <ion-grid>
                <ion-row>
                    <ion-col>
                        <ion-row text-center>
                            <h1>Space Traffic Management Overview</h1>
                        </ion-row>
                        <ion-row>
                            <div id="list">
                                <h5>
                                    The increase in satellites and space debris in orbit makes space operations increasingly complex, since the risk of conjunctions is increasing exponentially. This has motivated investment and public budget distribution for a reinforced growth of public and private capabilities in the last ten years. The growth of Space Situation Awareness (SSA) data sources poses the question of trust; if several entities can provide insights on space traffic and predict space objects collisions, which sources is the most accurate when there are important discrepancies. Discrepancies across such insights providers also bring the question of trust; despite non malicious behaviour, users have to decide how to evaluate trust in raw data sources, sensoring capabilities and processing methods of these providers. Trust is also impacted by the lack of transparency on processing pipelines and eventual agreements between providers.
                                    There is yet no common ways to find a consensus on what is really happening in orbit although decision based on these divergent pieces of information have very important impact on continuity of services from space, and on the immediate cost of operations.
                                </h5>
                            </div>
                            
                        </ion-row>
                    </ion-col>
                    <ion-col>
                        <Pie :data="data" :options="options" />
                    </ion-col>
                </ion-row>
            </ion-grid>
        </ion-card>
        
    <!-- </base-layout> -->
    </member-area-layout>
</template>

<script lang="ts">
    import { IonSearchbar } from '@ionic/vue';
    import { IonCard, IonCol, IonGrid, IonRow } from '@ionic/vue';
    
    import OrbitStateValue from '../components/widgets/OrbitStateValue.vue';
    // import OrbitStateSearch from '../components/widgets/OrbitStateSearchID.vue';
    import RsoProfile from '../components/widgets/RSOProfile.vue';

    import { personCircle } from 'ionicons/icons';
    import { searchCircle } from 'ionicons/icons';
    import { defineComponent } from 'vue';

    import { Chart as ChartJS, ArcElement, Tooltip, Legend } from 'chart.js';
    import { Pie } from 'vue-chartjs';
    // import * as chartConfig from './chartConfig';

    ChartJS.register(ArcElement, Tooltip, Legend);
    
    export default defineComponent({
        components: {
            IonCard,
            IonCol,
            IonGrid,
            IonRow,
            IonSearchbar,
            OrbitStateValue,
            // OrbitStateSearch,
            RsoProfile,
            Pie
        },
        props: {
            title : String
        },
        data() {
            return {
                list_data:undefined,
                data: {
                    labels: ['active satellites', 'Debris', 'Fragments', 'Rockets'],
                    datasets: [{
                        backgroundColor: ['#41B883', '#E46651', '#00D8FF', '#DD1B16'],
                        data: [40, 20, 80, 10]
                    }]
                },
                options: {
                    responsive: true,
                    maintainAspectRatio: false
                }
            }
        },

        // mounted() {
        //     axios.get('https://api.multiversx.com/accounts')
        //         .then((response) => {
        //             this.list_data=response.data;
        //             console.log(response.data);
        //     });

        // },
        setup() {
            return { personCircle, searchCircle };
        },
  })

</script>

<style scoped>
  ion-col {
    /* background-color: #135d54; */
    border: solid 0px #000;
    /* color: #fff; */
    text-align: center;
  }

  ion-card #infocard{
    display: flex;
    flex-direction: column;
    width: 85% !important;
    /* margin: 20 !important; */
    margin: auto;
    --background: #212529;
    --color: #F8F8FF;

  }

</style>